<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="MATLU"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>MATLU</refname>

    <refpurpose>LU Factorization</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/MATLU.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_MATLU">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="MATLU">LU Factorization</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_MATLU">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_MATLU">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Dialogbox_MATLU">Dialog box</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_MATLU">Default
              properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_MATLU">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Computationalfunction_MATLU">Computational
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Seealso_MATLU">See also</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Authors_MATLU">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_MATLU">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Matrix_pal">Matrix operation palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_MATLU">
    <title>Description</title>

    <para>The MATLU Block outputs two matrices L and U, with row pivoting,
    from the LU factorization of a square input matrix. If A is the input
    matrix then E*A=L*U where E is the permutation matrix.The equivalent
    function of this block in Scilab is "[l,u,e]=lu(A)"</para>

    <para />
  </refsection>

  <refsection id="Dialogbox_MATLU">
    <title>Dialog box</title>

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/gui/MATLU_gui.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para />

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Datatype(1=real double 2=Complex)</emphasis>
        </para>

        <para>It indicates the type of the output. It support only the two
        types double (1) and complex (2). If we input another entry in this
        label xcos will print the message "Datatype is not
        supported".</para>

        <para>Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Defaultproperties_MATLU">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [-1,-1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [-1,-1] / type 1</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 2 : size [-1,-1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        inputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        outputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>

          <emphasis role="italic">mat_lu</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_MATLU">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/MatrixOp/MATLU.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Computationalfunction_MATLU">
    <title>Computational function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/src/c/mat_lu.c</para>
      </listitem>

      <listitem>
        <para>SCI/modules/scicos_blocks/src/c/matz_lu.c</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Seealso_MATLU">
    <title>See also</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="MATINV">MATINV - MATINV Matrix Inverse (xcos
          Block)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Authors_MATLU">
    <title>Authors</title>

    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
